LibreOffice: XForms Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XForms Interface Referencepublished

`import "XForms.idl";`

Inheritance diagram for XForms:

## Exported Interfaces
interface | com::sun::star::container::XContainer
| allows to register listeners to be notified of changes in the container.
interface | com::sun::star::container::XNameContainer
| allows to add/remove elements by name.
interface | com::sun::star::container::XIndexContainer
| gives access to the elements by index.
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of the elements.
interface | com::sun::star::script::XEventAttacherManager
| This interface has to be implemented to supply the scripting environment for the contained components.
interface | com::sun::star::container::XChild
interface | com::sun::star::util::XCloneable
interface | com::sun::star::lang::XComponent

## Additional Inherited Members
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed.
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name.
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name.
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index.
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index.
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XEventAttacherManager
void | registerScriptEvent ([in] long nIndex, [in] com::sun::star::script::ScriptEventDescriptor aScriptEvent) raises ( com::sun::star::lang::IllegalArgumentException )
| registers one event for an object identified by its index.
void | registerScriptEvents ([in] long nIndex, [in] sequence< com::sun::star::script::ScriptEventDescriptor > aScriptEvents) raises ( com::sun::star::lang::IllegalArgumentException )
| registers several events for an object identified by its index.
void | revokeScriptEvent ([in] long nIndex, [in] string aListenerType, [in] string aEventMethod, [in] string aRemoveListenerParam) raises ( com::sun::star::lang::IllegalArgumentException )
| revokes the registration of an event.
void | revokeScriptEvents ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| revokes all events which are registered for the given index.
void | insertEntry ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| creates an empty entry at the given position.
void | removeEntry ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the entry at the given position.
sequence< com::sun::star::script::ScriptEventDescriptor > | getScriptEvents ([in] long Index) raises ( com::sun::star::lang::IllegalArgumentException )
void | attach ([in] long nIndex, [in] com::sun::star::uno::XInterface xObject, [in] any aHelper) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::ServiceNotRegisteredException )
| attaches all the ScriptEvents which are registered for the given index to the given object.
void | detach ([in] long nIndex, [in] com::sun::star::uno::XInterface xObject) raises ( com::sun::star::lang::IllegalArgumentException )
| detaches all the ScriptEvents from the given object which are registered at this object for the given index.
void | addScriptListener ([in] com::sun::star::script::XScriptListener xListener) raises ( com::sun::star::lang::IllegalArgumentException )
| adds an XScriptListener that will be notified when an event takes place.
void | removeScriptListener ([in] com::sun::star::script::XScriptListener Listener) raises ( com::sun::star::lang::IllegalArgumentException )
| removes a XScriptListener from the listener list.
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

## ◆ com::sun::star::container::XContainer

interface com::sun::star::container::XContainer

allows to register listeners to be notified of changes in the container.

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of the elements.

## ◆ com::sun::star::container::XIndexContainer

interface com::sun::star::container::XIndexContainer

gives access to the elements by index.

## ◆ com::sun::star::container::XNameContainer

interface com::sun::star::container::XNameContainer

allows to add/remove elements by name.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

## ◆ com::sun::star::script::XEventAttacherManager

interface com::sun::star::script::XEventAttacherManager

This interface has to be implemented to supply the scripting environment for the contained components.

The interface allows managing of scripts associated with dependent components, accessed by index. However, as a client of the FormComponents service, there's no need to bother with the container aspect of the com::sun::star::script::XEventAttacherManager directly. A FormComponents container will automatically synchronize the elements you put into it with the scripting information obtained at the com::sun::star::script::XEventAttacherManager interface.

For instance, at any time you can obtain the events associated with the `n`th element in the form components by calling com::sun::star::script::XEventAttacherManager::getScriptEvents() with parameter `n`. In particular, this invariant is always met, even after you inserted/removed elements into/from the container.

## ◆ com::sun::star::util::XCloneable

interface com::sun::star::util::XCloneable

The documentation for this interface was generated from the following file:

- com/sun/star/form/XForms.idl